Download it now!
Bug 87382 - Improper display of selected merged cells when left most cell is not in the visible window.
Summary: Improper display of selected merged cells when left most cell is not in the v...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.4.1 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0 target:4.4.1
Keywords:
Depends on:
Blocks: Calc-Merge-Split
  Show dependency treegraph
 
Reported: 2014-12-16 21:32 UTC by klsu
Modified: 2017-06-03 20:22 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
printscreen (21.38 KB, application/pdf)
2014-12-17 08:28 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description klsu 2014-12-16 21:32:03 UTC
If a sheet is displayed so that the left/upper most cell in an active merged cell (group of 5 cells) is left of/above the left-/upper-most column/row displayed, the heavy line around the cell indicating that it is selected disappears. If the merged cell is selected after its left/upper cell is positioned left of/above the left-/upper-most column/row, the heavy line around the cell indicating it is selected is not displayed, and visible the window is not adjusted to make the entire cell visible.
Comment 1 raal 2014-12-17 08:28:51 UTC
Created attachment 110937 [details]
printscreen
Comment 2 raal 2014-12-17 08:29:22 UTC
I can confirm with 4.3.4, win7
Comment 3 Commit Notification 2015-01-12 13:36:59 UTC
Henry Castro committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d987ed29051b184aeb5151c1e080ad22c4637835

fdo#87382 Improper display of selected merged

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-01-12 13:45:06 UTC
Henry Castro committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9efcdb9ef5e7a45d48b07bd91f2fe000baaf5fd6&h=libreoffice-4-4

fdo#87382 Improper display of selected merged

It will be available in 4.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-01-12 13:55:05 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5865ab6bd27425912e2752020a966e2aac3279e5

get rid of C-style cast, fdo#87382 follow-up

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-01-12 15:15:12 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e4fea6e67a05256c3ce6336bf054004015936310

make this work also for an overlapping merge range, fdo#87382 follow-up

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Eike Rathke 2015-01-12 15:28:36 UTC
Pending review for 4-4 at https://gerrit.libreoffice.org/13877
Comment 8 Commit Notification 2015-01-23 20:28:17 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a93e7bcfa6498dc8aa6c2cc69148664cd210554a&h=libreoffice-4-4

make this work also for an overlapping merge range, fdo#87382 follow-up

It will be available in 4.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.